Package picard.sam.markduplicates.util

## Class RepresentativeReadIndexerCodec

- java.lang.Object
- - picard.sam.markduplicates.util.RepresentativeReadIndexerCodec

- All Implemented Interfaces:
    `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`, `Cloneable`

      public class RepresentativeReadIndexerCodec
      extends Object
      implements htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>

  Codec for read names and integers that outputs the primitive fields and reads them back.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected DataInputStream` | `in` |
    `protected DataOutputStream` | `out` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepresentativeReadIndexerCodec()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>` | `clone()` |
    `RepresentativeReadIndexer` | `decode()` |
    `void` | `encode​(RepresentativeReadIndexer rni)` |
    `DataInputStream` | `getInputStream()` |
    `DataOutputStream` | `getOutputStream()` |
    `void` | `setInputStream​(InputStream is)` |
    `void` | `setOutputStream​(OutputStream os)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### in

          protected DataInputStream in

    - #### out

          protected DataOutputStream out

  - ### Constructor Detail

    - #### RepresentativeReadIndexerCodec

          public RepresentativeReadIndexerCodec()

  - ### Method Detail

    - #### clone

          public htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer> clone()

      Specified by:
        `clone` in interface `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`
      Overrides:
        `clone` in class `Object`

    - #### setOutputStream

          public void setOutputStream​(OutputStream os)

      Specified by:
        `setOutputStream` in interface `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`

    - #### setInputStream

          public void setInputStream​(InputStream is)

      Specified by:
        `setInputStream` in interface `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`

    - #### getInputStream

          public DataInputStream getInputStream()

    - #### getOutputStream

          public DataOutputStream getOutputStream()

    - #### encode

          public void encode​(RepresentativeReadIndexer rni)

      Specified by:
        `encode` in interface `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`

    - #### decode

          public RepresentativeReadIndexer decode()

      Specified by:
        `decode` in interface `htsjdk.samtools.util.SortingCollection.Codec<RepresentativeReadIndexer>`